<?php
require_once "header.php";
?>

<div class="mt-4 mb-4">
	<h2 class="display-3"><?= $orphans ? "Profils orphelins" : "Tous les profils" ?></h2>
</div>

<div>
	Cette page recense tous les utilisateurs inscrits<?= $orphans ? " mais qui n'ont pas rejoint d'équipe" : "" ?>.
</div>

<div class="alert alert-info">
    <a href="mailto:contact@tfjm.org?<? foreach ($emails as $email) echo "bcc=" . $email . "&" ?>subject=TFJM² <?= $YEAR ?>" target="_blank">Envoyer un mail à toutes les personnes inscrites</a>
</div>

<br />

<table class="table table-striped table-bordered table-hover">
	<thead>
	<tr>
		<th scope="col">
			Nom
		</th>
		<th scope="col">
			Rôle
		</th>
		<th scope="col">
			Inscrit le
		</th>
	</tr>
	</thead>
	<tbody>
	<?php
	/** @var User $user */
	foreach ($users as $user) {
		?>
		<tr>
			<th scope="row">
				<a href="/informations/<?= $user->getId() . "/" . $user->getFirstName() . " " . $user->getSurname() ?>">
					<?= $user->getFirstName() . " " . $user->getSurname() ?>
				</a>
			</th>
			<td><?= Role::getTranslatedName($user->getRole()) ?></td>
			<td><?= formatDate($user->getInscriptionDate(), true) ?></td>
		</tr>
		<?php
	}
	?>
	</tbody>
	<tfoot>
	<tr>
		<th scope="col">
			Nom
		</th>
		<th scope="col">
			Rôle
		</th>
		<th scope="col">
			Inscrit le
		</th>
	</tr>
	</tfoot>
</table>

<?php
require_once "footer.php";